# Interface Link<Ref>

interface Link<Ref> {
_applies: string[];
from: Link<Ref>;
from_id?: Ref;
id: Ref;
in: Link<Ref>[];
inByType: {
[id: string]: L[];
};
ml?: MinilinkCollection<MinilinksGeneratorOptions, Link<Ref>>;
out: Link<Ref>[];
outByType: {
[id: string]: L[];
};
to: Link<Ref>;
to_id?: Ref;
type: Link<Ref>;
type_id: Ref;
typed: Link<Ref>[];
value?: any;
}

#### Type Parameters

- #### Ref extends Id

#### Hierarchy (view full)

- LinkPlain<Ref>
- LinkRelations<Id, Link<Ref>>
- LinkHashFields
  - Link
    - PackagerLink

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:50

#####
Index

### Properties

_applies
from
from_id?
id
in
inByType
ml?
out
outByType
to
to_id?
type
type_id
typed
value?

## Properties

### _applies

_applies: string[]

Inherited from LinkRelations._applies

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:42

### from

from: Link<Ref>

Inherited from LinkRelations.from

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:39

### `Optional` from_id

from_id?: Ref

Inherited from LinkPlain.from_id

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:27

### id

id: Ref

Inherited from LinkPlain.id

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:25

### in

in: Link<Ref>[]

Inherited from LinkRelations.in

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:35

### inByType

inByType: {
[id: string]: L[];
}

#### Type declaration

- ##### [id: string]: L[]

Inherited from LinkRelations.inByType

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:36

### `Optional` ml

ml?: MinilinkCollection<MinilinksGeneratorOptions, Link<Ref>>

Inherited from LinkRelations.ml

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:43

### out

out: Link<Ref>[]

Inherited from LinkRelations.out

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:37

### outByType

outByType: {
[id: string]: L[];
}

#### Type declaration

- ##### [id: string]: L[]

Inherited from LinkRelations.outByType

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:38

### to

to: Link<Ref>

Inherited from LinkRelations.to

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:40

### `Optional` to_id

to_id?: Ref

Inherited from LinkPlain.to_id

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:28

### type

type: Link<Ref>

Inherited from LinkRelations.type

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:34

### type_id

type_id: Ref

Inherited from LinkPlain.type_id

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:26

### typed

typed: Link<Ref>[]

Inherited from LinkRelations.typed

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:33

### `Optional` value

value?: any

Inherited from LinkRelations.value

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:29

Generated using TypeDoc